Package com.enonic.xp.resource

## Interface DynamicSchemaService

-     public interface DynamicSchemaService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends ComponentDescriptor> DynamicSchemaResult<T>` | `createComponent​(CreateDynamicComponentParams params)` |
    `<T extends BaseSchema<?>> DynamicSchemaResult<T>` | `createContentSchema​(CreateDynamicContentSchemaParams params)` |
    `DynamicSchemaResult<StyleDescriptor>` | `createStyles​(CreateDynamicStylesParams params)` |
    `boolean` | `deleteComponent​(DeleteDynamicComponentParams params)` |
    `boolean` | `deleteContentSchema​(DeleteDynamicContentSchemaParams params)` |
    `boolean` | `deleteStyles​(ApplicationKey key)` |
    `<T extends ComponentDescriptor> DynamicSchemaResult<T>` | `getComponent​(GetDynamicComponentParams params)` |
    `<T extends BaseSchema<?>> DynamicSchemaResult<T>` | `getContentSchema​(GetDynamicContentSchemaParams params)` |
    `DynamicSchemaResult<SiteDescriptor>` | `getSite​(ApplicationKey key)` |
    `DynamicSchemaResult<StyleDescriptor>` | `getStyles​(ApplicationKey key)` |
    `<T extends ComponentDescriptor> List<DynamicSchemaResult<T>>` | `listComponents​(ListDynamicComponentsParams params)` |
    `<T extends BaseSchema<?>> List<DynamicSchemaResult<T>>` | `listContentSchemas​(ListDynamicContentSchemasParams params)` |
    `<T extends ComponentDescriptor> DynamicSchemaResult<T>` | `updateComponent​(UpdateDynamicComponentParams params)` |
    `<T extends BaseSchema<?>> DynamicSchemaResult<T>` | `updateContentSchema​(UpdateDynamicContentSchemaParams params)` |
    `DynamicSchemaResult<SiteDescriptor>` | `updateSite​(UpdateDynamicSiteParams params)` |
    `DynamicSchemaResult<StyleDescriptor>` | `updateStyles​(UpdateDynamicStylesParams params)` |

- - ### Method Detail

    - #### createComponent

          <T extends ComponentDescriptor> DynamicSchemaResult<T> createComponent​(CreateDynamicComponentParams params)

    - #### updateComponent

          <T extends ComponentDescriptor> DynamicSchemaResult<T> updateComponent​(UpdateDynamicComponentParams params)

    - #### getComponent

          <T extends ComponentDescriptor> DynamicSchemaResult<T> getComponent​(GetDynamicComponentParams params)

    - #### listComponents

          <T extends ComponentDescriptor> List<DynamicSchemaResult<T>> listComponents​(ListDynamicComponentsParams params)

    - #### deleteComponent

          boolean deleteComponent​(DeleteDynamicComponentParams params)

    - #### createContentSchema

          <T extends BaseSchema<?>> DynamicSchemaResult<T> createContentSchema​(CreateDynamicContentSchemaParams params)

    - #### updateContentSchema

          <T extends BaseSchema<?>> DynamicSchemaResult<T> updateContentSchema​(UpdateDynamicContentSchemaParams params)

    - #### getContentSchema

          <T extends BaseSchema<?>> DynamicSchemaResult<T> getContentSchema​(GetDynamicContentSchemaParams params)

    - #### listContentSchemas

          <T extends BaseSchema<?>> List<DynamicSchemaResult<T>> listContentSchemas​(ListDynamicContentSchemasParams params)

    - #### deleteContentSchema

          boolean deleteContentSchema​(DeleteDynamicContentSchemaParams params)

    - #### updateSite

          DynamicSchemaResult<SiteDescriptor> updateSite​(UpdateDynamicSiteParams params)

    - #### getSite

          DynamicSchemaResult<SiteDescriptor> getSite​(ApplicationKey key)

    - #### createStyles

          DynamicSchemaResult<StyleDescriptor> createStyles​(CreateDynamicStylesParams params)

    - #### updateStyles

          DynamicSchemaResult<StyleDescriptor> updateStyles​(UpdateDynamicStylesParams params)

    - #### getStyles

          DynamicSchemaResult<StyleDescriptor> getStyles​(ApplicationKey key)

    - #### deleteStyles

          boolean deleteStyles​(ApplicationKey key)